
Foreman - Bug #2006

Random 404 error in host edit page

12/05/2012 09:17 AM - Romain Vrignaud

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Organizations and Locations   

Target version: 1.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When I reach edit host page and I select an org or a location,

I get :

Started POST "/hosts/process_taxonomy" for 192.168.0.117 at Wed Dec 05 15:11:36 +0100 2012

Processing by HostsController#process_taxonomy as

Parameters: {"capabilities"=>"build", "authenticity_token"=>"Ng0Dlssss1fr0pfYo=", "utf8"=>"✓", "host"=>{"name"=>"build-ami",

"managed"=>"1", "subnet_id"=>"2", "architecture_id"=>"1", "comment"=>"", "host_parameters_attributes"=>{"0"=>{"name"=>"nagios",

"nested"=>"", "id"=>"300", "value"=>"[FILTERED]", "_destroy"=>"false"}, "1"=>{"name"=>"munin", "nested"=>"", "id"=>"301",

"value"=>"[FILTERED]", "_destroy"=>"false"}}, "compute_attributes"=>{"nics_attributes"=>{"new_nics"=>{"_delete"=>"",

"bridge"=>"brem1"}, "0"=>{"_delete"=>"", "id"=>"70368584113260", "bridge"=>"brem1"}},

"volumes_attributes"=>{"new_volumes"=>{"_delete"=>"", "pool_name"=>"default", "format_type"=>"raw", "capacity"=>"10G"},

"0"=>{"_delete"=>"", "pool_name"=>"default", "id"=>"/var/lib/libvirt/images/build-ami.example.com-disk1", "format_type"=>"raw",

"capacity"=>"20"}}}, "sp_mac"=>"", "provision_method"=>"build", "overwrite"=>"false", "puppet_proxy_id"=>"2",

"puppet_ca_proxy_id"=>"2", "mac"=>"52:54:00:29:67:0c", "domain_id"=>"4", "sp_name"=>"", "hostgroup_id"=>"17",

"medium_id"=>"5", "root_pass"=>"[FILTERED]", "enabled"=>"1", "ptable_id"=>"6", "is_owned_by"=>"9-Users", "location_id"=>"",

"environment_id"=>"1", "progress_report_id"=>"[FILTERED]", "ip"=>"192.168.0.31", "sp_subnet_id"=>"", "organization_id"=>"8",

"puppetclass_ids"=>["", "509", "508"], "sp_ip"=>"", "disk"=>"", "operatingsystem_id"=>"2"}}

Rendered home/_topbar.rhtml (230.0ms)

Rendered common/404.rhtml within layouts/application (235.3ms)

Completed 404 Not Found in 244ms (Views: 236.2ms | ActiveRecord: 0.6ms)

Related issues:

Is duplicate of Foreman - Bug #2001: Changing Loc or Org after compute resour... Closed 12/05/2012

History

#1 - 01/17/2013 04:53 AM - Ohad Levy

- Category set to Organizations and Locations

- Status changed from New to Duplicate

- Target version set to 1.1
